Console API
  1. IAM
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
      GET
    • Get Tenant Info
      GET
  • Project
    • Get project list
      GET
    • Create Project
      POST
    • Detail Project
      GET
    • Delete Project
      DELETE
  • VPC
    • Get VPC List (Tenant Owner)
      GET
    • Get VPC List
      GET
    • Rename VPC
      PUT
    • Create VPC
      POST
    • Delete VPC
      DELETE
    • Get VPC Quota
      GET
    • Check user can create VPC
      POST
    • Get VPCs of User v2
      GET
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
    • Detail
    • Security Group
    • Create instance
    • Power off
    • Reboot
    • Power on
    • Terminate
    • Resize
    • Lock Termination
    • Rename
    • Manage tag
    • Check VPC enable NVME
    • Get Monitor performance url
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. IAM

Get all user groups v2

GET
/api/v2/org/{org_id}/vpc/{vpc_id}/iam/user-groups

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v2/org//vpc//iam/user-groups?page=1&pageSize=25' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "data": [
        {
            "id": "acc10c34-26d7-4770-a069-44c220c53abe",
            "name": "group name",
            "description": null,
            "is_active": true,
            "created_at": "2024-02-27T07:55:18",
            "updated_at": "2024-05-30T10:53:29",
            "tenant_id": "fca7317b-b5ab-4db4-9272-796f37b4105b",
            "resources": [
                {
                    "id": "57401539-ca81-467b-b5eb-55e59f3628f7",
                    "vdc_uuid": null,
                    "tenant_id": "fca7317b-b5ab-4db4-9272-796f37b4105b",
                    "name": "vpc name",
                    "status": "ENABLED",
                    "created_at": "2023-10-05T03:19:36",
                    "ended_at": null,
                    "data": null,
                    "display_name": null,
                    "vdc_group_id": null,
                    "infra_vpc_id": ""
                },
                {
                    "id": "c980d8d8-8de1-446f-bf3c-43c9d38a4dcf",
                    "vdc_uuid": null,
                    "tenant_id": "fca7317b-b5ab-4db4-9272-796f37b4105b",
                    "name": "vpc name 2",
                    "status": "ENABLED",
                    "created_at": "2023-02-27T04:33:04",
                    "ended_at": null,
                    "data": null,
                    "display_name": null,
                    "vdc_group_id": null,
                    "infra_vpc_id": ""
                }
            ]
        }
    ]
}
Modified at 2025-09-15 04:55:17
Previous
Get roles
Next
Create user group v2
Built with